NativeSQLQueryCollectionReturn (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.query.spi.sql
Class NativeSQLQueryCollectionReturn

    java.lang.Object
      org.hibernate.engine.query.spi.sql.NativeSQLQueryNonScalarReturn
          org.hibernate.engine.query.spi.sql.NativeSQLQueryCollectionReturn

All Implemented Interfaces:
  Serializable, NativeSQLQueryReturn

    public class NativeSQLQueryCollectionReturn

extends NativeSQLQueryNonScalarReturn

Represents a return defined as part of a native sql query which names a collection role in the form {classname}.{collectionrole}; it is used in defining a custom sql query for loading an entity's collection in non-fetching scenarios (i.e., loading the collection itself as the "root" of the result).

See Also:
  Serialized Form

Constructor Summary
`NativeSQLQueryCollectionReturn(String alias, String ownerEntityName, String ownerProperty, Map propertyResults, LockMode lockMode)` Construct a native-sql return representing a collection initializer

Method Summary
`boolean` | `equals(Object o)`
`String` | `getOwnerEntityName()` Returns the class owning the collection.
`String` | `getOwnerProperty()` Returns the name of the property representing the collection from the `getOwnerEntityName()`.
`int` | `hashCode()`

Methods inherited from class org.hibernate.engine.query.spi.sql.NativeSQLQueryNonScalarReturn
`getAlias, getLockMode, getPropertyResultsMap`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NativeSQLQueryCollectionReturn

    public NativeSQLQueryCollectionReturn(String alias,
                                          String ownerEntityName,
                                          String ownerProperty,
                                          Map propertyResults,
                                          LockMode lockMode)

  Construct a native-sql return representing a collection initializer

  Parameters:
    `alias` - The result alias
    `ownerEntityName` - The entity-name of the entity owning the collection to be initialized.
    `ownerProperty` - The property name (on the owner) which represents the collection to be initialized.
    `propertyResults` - Any user-supplied column->property mappings
    `lockMode` - The lock mode to apply to the collection.

Method Detail

### getOwnerEntityName

    public String getOwnerEntityName()

  Returns the class owning the collection.

  Returns:
    The class owning the collection.

### getOwnerProperty

    public String getOwnerProperty()

  Returns the name of the property representing the collection from the `getOwnerEntityName()`.

  Returns:
    The name of the property representing the collection on the owner class.

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `NativeSQLQueryNonScalarReturn`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `NativeSQLQueryNonScalarReturn`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.